#pragma once

#include "wimp_basics.h"

#ifdef __cplusplus
extern "C"
{
#endif

  typedef struct
  {
    unsigned int uiErrorCode;
    char caErrorMessage[252];
  } tErrorBlock; // eb

  int wimp_error(const char* error_string, unsigned int flags);
  void swerr(const char* error_string, ...);

  extern tErrorBlock* pebLastError;

#define WIMPERROR_OKBOX (1 << 0)
#define WIMPERROR_CANCELBOX (1 << 1)
#define WIMPERROR_HIGHLIGHTCANCEL (1 << 2)
#define WIMPERROR_NOAPPLICATIONPREFIX (1 << 4)

#ifdef __cplusplus
}
#endif
